local CommerceActCharge = require("serverCommerce.ServerCommerceActCharge")
local CommerceActShop = require("serverCommerce.ServerCommerceActShop")
local CommerceActRank = require("serverCommerce.ServerCommerceActRank")
local CommerceActTask =  require("serverCommerce.ServerCommerceActTask")
-- local CommerceActPeakBettle = require("serverCommerce.ServerCommerceActPeakBettle")
local ServerCommerceActBattleGroundNS = require("serverCommerce.ServerCommerceActBattleGroundNS")

-- 请求战区集结任务信息
function CG_SERVEERCOMMERCE_ACT_TASKQUERY(human, msg)
    CommerceActTask.CommerceActTask_QueryTask(human, msg.nDay) 
end

-- 请求领取任务奖励
function CG_SERVEERCOMMERCE_ACT_GETTASKPRIZE(human, msg)
    CommerceActTask.CommerceActTask_GetTaskPrize(human, msg.nDay) 
end

-- 请求任务积分信息
function CG_SERVEERCOMMERCE_ACT_TASKPOINTQUERY(human, msg)
    CommerceActTask.CommerceActTask_QueryTaskPoint(human)
end

-- 战区集结 - 领取任务积分奖励
function CG_SERVEERCOMMERCE_ACT_GETTASKPOINTPRIZE(human, msg)
    CommerceActTask.CommerceActTask_GetTaskPointPrize(human)
end

----------------------------------------- 连充豪礼协议请求开始 -------------------------------------
-- 请求连充豪礼-信息
function CG_SERVEERCOMMERCE_ACT_CHARGEQUERY(human, msg)
    CommerceActCharge.CommerceActCharge_Query(human, msg.nMoney)
end

-- 请求领取连充豪礼
function CG_SERVEERCOMMERCE_ACT_CHARGEGETPRIZE(human, msg)
    CommerceActCharge.CommerceActCharge_GetPrize(human, msg.nMoney)
end

----------------------------------------- 战区钜惠请求开始 -------------------------------------
function CG_SERVEERCOMMERCE_ACT_SHOPQUERY(human, msg)
    CommerceActShop.CommerceActShop_Query(human)
end

function CG_SERVEERCOMMERCE_ACT_SHOPGETPRIZE(human, msg)
    CommerceActShop.CommerceActShop_GetPrize(human, msg.nType)
end

----------------------------------------- 排行榜协议请求开始 -------------------------------------
function CG_SERVEERCOMMERCE_ACT_RANK_QUERY(human, msg)
    CommerceActRank.CommercerActRank_Query(human, msg.nRankType)
end

----------------------------------------- 巅峰战场协议请求开始 -------------------------------------
-- -- 查询巅峰战场数据
-- function CG_PEAK_BATTLEFIELD_QUERY(human)
--     CommerceActPeakBettle.CommerceActPeakBettle_Query(human)
-- end

-- -- 刷新对手列表
-- function CG_PEAK_BATTLEFIELD_REFRESH(human)
--     CommerceActPeakBettle.CommerceActPeakBettle_Refresh(human)
-- end

-- -- 挑战对手
-- function CG_PEAK_BATTLEFIELD_CHALLENGE(human, msg)
--     CommerceActPeakBettle.CommerceActPeakBettle_Challenge(human, msg.opponentUuid)
-- end

-- -- 查询排名奖励
-- function CG_PEAK_BATTLEFIELD_RANK_REWARD_QUERY(human)
--     CommerceActPeakBettle.CommerceActPeakBettle_RankRewardQuery(human)
-- end

function CG_SERVEERCOMMERCE_ACT_BATTLEGROUND_MAINPAGE_QUERY(human, msg)
    ServerCommerceActBattleGroundNS.BattleGround_MainPage_Query(human)
end

function CG_SERVEERCOMMERCE_ACT_BATTLEGROUND_MATCHLIST_QUERY(human, msg)
    ServerCommerceActBattleGroundNS.BattleGround_MatchPage_Query(human)
end

function CG_SERVEERCOMMERCE_ACT_BATTLEGROUND_PLAYER_QUERY(human, msg)
    ServerCommerceActBattleGroundNS.BattleGround_Player_Query(human, msg.rank)
end

function CG_SERVEERCOMMERCE_ACT_BATTLEGROUND_HEROBAG_QUERY(human, msg)
    ServerCommerceActBattleGroundNS.BattleGround_HeroBag_Query(human)
end

function CG_SERVEERCOMMERCE_ACT_BATTLEGROUND_RANK_QUERY(human, msg)
    ServerCommerceActBattleGroundNS.BattleGround_RankList_Query(human)
end

function CG_SERVEERCOMMERCE_ACT_BATTLEGROUND_RANKAWARD_QUERY(human, msg)
    ServerCommerceActBattleGroundNS.BattleGround_RankAward_Query(human)
end

function CG_SERVEERCOMMERCE_ACT_BATTLEGROUND_UPDATE_MATCHLIST(human, msg)
    ServerCommerceActBattleGroundNS.BattleGround_Update_MatchList(human, msg)
end

function CG_SERVEERCOMMERCE_ACT_BATTLEGROUND_ONECLICK_SWEEP(human, msg)
    ServerCommerceActBattleGroundNS.BattleGround_OneClickSweep(human, msg)
end

function CG_SERVEERCOMMERCE_ACT_BATTLEGROUND_ALREAFY_KNOW(human, msg)
    ServerCommerceActBattleGroundNS.BattleGround_AlreadyKonw_GetNewHero(human, msg)
end